cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 
Announcements
We love to hear how every person gets the most from Dropbox, and it seems everyone has a slightly different use for it - tell us yours here!

Dropbox installs & integrations

Connect your tools and content together with help from the Dropbox Community. Join a discussion or post a question of your own to get started.

cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Permissions error when running app

Permissions error when running app

johnmike59
Explorer | Level 3

[get_extra_trace_info failed]
Traceback (most recent call last):
File "dropbox\client\main.pyc", line 5477, in _setup_root_for_account
File "dropbox\sync_root\helpers.pyc", line 142, in get_root_for_account
File "dropbox\sync_root\helpers.pyc", line 124, in _get_mounted_root_for_account
File "dropbox\client\configuration\local_configuration.pyc", line 313, in get_dropbox_path
File "dropbox\client\config.pyc", line 323, in __len__
File "dropbox\client\config.pyc", line 99, in __len__
File "dropbox\sqlite3_helpers.pyc", line 301, in execute
File "dropbox\sqlite3_helpers.pyc", line 267, in _raise_better_operational_exception
File "six.pyc", line 696, in reraise
File "dropbox\sqlite3_helpers.pyc", line 296, in execute
sqlite3.OperationalError: database is locked

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "dropbox\client\main.pyc", line 1201, in boot_error
File "dropbox\client\main.pyc", line 7132, in get_dropbox_path
File "dropbox\client\configuration\local_configuration.pyc", line 313, in get_dropbox_path
File "dropbox\client\config.pyc", line 323, in __len__
File "dropbox\client\config.pyc", line 99, in __len__
File "dropbox\sqlite3_helpers.pyc", line 301, in execute
File "dropbox\sqlite3_helpers.pyc", line 267, in _raise_better_operational_exception
File "six.pyc", line 696, in reraise
File "dropbox\sqlite3_helpers.pyc", line 296, in execute
sqlite3.OperationalError: database is locked

Original traceback:

Traceback (most recent call last):
File "dropbox\client\main.pyc", line 5477, in _setup_root_for_account
File "dropbox\sync_root\helpers.pyc", line 142, in get_root_for_account
File "dropbox\sync_root\helpers.pyc", line 124, in _get_mounted_root_for_account
File "dropbox\client\configuration\local_configuration.pyc", line 313, in get_dropbox_path
File "dropbox\client\config.pyc", line 323, in __len__
File "dropbox\client\config.pyc", line 99, in __len__
File "dropbox\sqlite3_helpers.pyc", line 301, in execute
File "dropbox\sqlite3_helpers.pyc", line 267, in _raise_better_operational_exception
File "six.pyc", line 696, in reraise
File "dropbox\sqlite3_helpers.pyc", line 296, in execute
sqlite3.OperationalError: database is locked

2 Replies 2

Re: Permissions error

johnmike59
Explorer | Level 3
Spoiler
I am completely clueless - please help

Re: Permissions error

Jay
Dropboxer
Hi @johnmike59, thanks for posting on the Community!

If you're not on a Dropbox Basic plan with more than 3 devices connected, could you try an advanced reinstall of the app using the steps in this link?

Keep me updated with any progress!

Jay
Community Moderator @ Dropbox
dropbox.com/support


Heart Did this post help you? If so, please give it a Like below.
:arrows_counterclockwise: Still stuck? Ask me a question!
:pushpin: Tips & Tricks Find new ways to stay in flow or share your tips on how you work smarter with Dropbox.

Who's talking

Top contributors to this post

  • User avatar
    Jay Dropboxer
  • User avatar
    johnmike59 Explorer | Level 3
What do Dropbox user levels mean?
Need more support?